<?php 
    $current_url = get_option('siteurl').'/';
?>
<?php
if (!defined('ABSPATH'))
    exit; //Exit if accessed directly
 ?>
 
 <script type="text/javascript">

jQuery(document).ready(function($) {
 
  
  $('#insertfield').validate({
        rules: {
          loadtime: {
                required: true
            },
            popupfieldsettings: {
                required: true
            },
            verifymobileotp: {
                required: true
            },
            popuploadoption: {
                required: true
            },
           
            thankyoupage: {
                required: true,
                maxlength: 150
            },
            status: {
                required: true
            },
        },
        messages: {
            loadtime: "<span>Please select a field option</span>",
            popupfieldsettings: "<span>Please select a field option</span>",
            verifymobileotp: "<span>Please select an option</span>",
            popuploadoption: "<span>Please select an option</span>",
           
            thankyoupage: {
                required: "<span>Please enter a thank you page</span>",
                maxlength: "Maximum length is 150 characters"
            },
            status: "<span>Please select any option</span>",
        },
        submitHandler: function(form) {
          var formData = $('form[name="insertfield"]').serialize();
          $.post('<?php echo $current_url;?>wp-json/fast2sms/v1/endpoint', formData, function(response) {
      // Handle the response from the server (if needed)

          console.log(response); // You can replace this with your own logic
          if(response.message=="true")
          {
            $("#messages").html(response.messagetext);
          }
          else
          {
            $("#messages").html(response.messagetext);
          }
          $('html, body').animate({ scrollTop: 0 }, 'fast');
          
        });
       return false;   
        }
    });

  });



 </script>
<script>
    jQuery(document).ready(function ($) {
  // Listen for changes on the "Email Only" radio button
  $("input[name='popupfieldsettings']").change(function () {
    if ($(this).is(":checked") && $(this).val() == 1) {
      //$("#verifyemail").show('slow');
      //$("#verifymobile").show('slow');
      $("input[name='verifymobileotp'][value='yes']").prop("checked", true);
      $("input[name='verifymobileotp'][value='no']").prop("disabled", false);
      $("input[name='verifymobileotp'][value='yes']").prop("disabled", false);
      $("input[name='verifyemailotp'][value='yes']").prop("checked", true);
      $("input[name='verifyemailotp'][value='no']").prop("disabled", false);
      $("input[name='verifyemailotp'][value='yes']").prop("disabled", false);
      }
    else if ($(this).is(":checked") && $(this).val() == 2) {
      //$("#verifyemail").show('slow');
      //$("#verifymobile").hide('slow');
      $("input[name='verifymobileotp'][value='yes']").prop("checked", false);
      $("input[name='verifymobileotp'][value='no']").prop("checked", false);
      $("input[name='verifymobileotp'][value='no']").prop("disabled", true);
      $("input[name='verifymobileotp'][value='yes']").prop("disabled", true);
      $("input[name='verifyemailotp'][value='yes']").prop("checked", true);
      $("input[name='verifyemailotp'][value='no']").prop("disabled", false);
      $("input[name='verifyemailotp'][value='yes']").prop("disabled",false);
    } else if ($(this).is(":checked") && $(this).val() == 3) {
      //$("#verifyemail").hide('slow');
      //$("#verifymobile").show('slow');
      $("input[name='verifyemailotp'][value='yes']").prop("checked", false);
      $("input[name='verifyemailotp'][value='no']").prop("checked", false);
      $("input[name='verifyemailotp'][value='no']").prop("disabled", true);
      $("input[name='verifyemailotp'][value='yes']").prop("disabled", true);
      $("input[name='verifymobileotp'][value='yes']").prop("checked", true);
      $("input[name='verifymobileotp'][value='no']").prop("disabled", false);
      $("input[name='verifymobileotp'][value='yes']").prop("disabled", false);
    } 
  });
});

  </script>
 <div class="container">
    <div class="row">
    
    <div class="d-flex justify-content-start mt-3 mb-3">
        <h4 class="text-center">Thank you for using "F2 Popup Lead Form" by <a href="https://www.fast2sms.com/"  target="_blank">Fast2SMS.com</a></h4>
    </div>
    <div class="mt-2 mb-2" id="messages"></div>
    <form method="post" action="" name="insertfield" id="insertfield">
    <div class="d-flex justify-content-start mt-1" id="popupleadform">
        <div class="col-8">
        <div class="border p-2">
        <div class="mt-3 mb-3">
        <h5 class="text-left">Popup Settings</h5>
        </div> 
         <div class="form-check mt-2">
          <label for="exampleFormControlInput1" class="form-label">What data to collect?</label>
         
          <?php 
      
          $popupfieldsettingsoptions = array(
            '1' => 'Email & number',
            '2' => 'Email only',
            '3' => 'Number only'
        );
       
        $groupName = 'popupfieldsettings';
        foreach ($popupfieldsettingsoptions as $value => $label) {
            if(isset($data_to_edit[0]['fieldsettings']) && $data_to_edit[0]['fieldsettings']==$value)
            {
                $checked="checked";
            }
            else
            {
                $checked="";
            }
            echo '<div class="form-check">';
            echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
            echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName.'" value="' . $value . '" '.$checked.'>';
            echo '</div>';
        }
          ?>
         </div>
         <div id="verifyemail">
         <div class="form-check mt-3">
        <label for="exampleFormControlInput1" class="form-label">Verify email with OTP?</label>
        
        <?php 
            $verifyemaileotpoptions = array(
                'yes' => 'Yes',
                'no' => 'No'
            );
            $groupName = 'verifyemailotp';
            foreach ($verifyemaileotpoptions as $value => $label) {
                if(isset($data_to_edit[0]['verifyemail']) && $data_to_edit[0]['verifyemail']==$value)
                {
                    $checked="checked";
                }
                else
                {
                    $checked="";
                }
                if($data_to_edit[0]['verifyemail']=='')
                {
                    $disabled="disabled";
                }
                else
                {
                    $disabled="";
                }
                echo '<div class="form-check">';
                echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
                echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName . $value . '" value="' . $value . '" '.$checked.' '.$disabled.'>';
                echo '</div>';
            }
        ?>
         </div>
         </div>
         <div id="verifymobile">
        <div class="form-check mt-3">
        <label for="exampleFormControlInput1" class="form-label">Verify mobile number with OTP SMS (only for Indian numbers)?</label>
        
        <?php 
            $verifymobileotpoptions = array(
                'yes' => 'Yes',
                'no' => 'No'
            );
            $groupName = 'verifymobileotp';
            foreach ($verifymobileotpoptions as $value => $label) {
                if(isset($data_to_edit[0]['verifymobnumber']) && $data_to_edit[0]['verifymobnumber']==$value)
                {
                    $checked="checked";
                }
                else
                {
                    $checked="";
                }
                if($data_to_edit[0]['verifymobnumber']=='')
                {
                    $disabled="disabled";
                }
                else
                {
                    $disabled="";
                }
                echo '<div class="form-check">';
                echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
                echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName . $value . '" value="' . $value . '" '.$checked.' '.$disabled.'>';
                echo '</div>';
            }
        ?>
         </div>
         </div>
       <div class="form-check mt-3 mb-2"><p>  Note: No OTP SMS will be sent on non-indian numbers. To send OTP on indian numbers you need to add <a href="https://fast2sms.fametechit.com/wp-admin/admin.php?page=fast2sms-appisetting">Fast2SMS API Key.</a></p></div>
        <div class="form-check mt-2">
      
        <label for="exampleFormControlInput1" class="form-label">How to load popup?</label>
        
        <?php 
            $popuploadoptionradio = array(
                '4' => 'On every URL till popup submitted',
                '1' => 'Load every time till popup closed by user or submit by user',
                '2' => 'Load one time only',
                '3' => 'Only on homepage',
            );
            $groupName = 'popuploadoption';
            foreach ($popuploadoptionradio as $value => $label) {
                if(isset($data_to_edit[0]['popuploadoption']) && $data_to_edit[0]['popuploadoption']==$value)
                {
                    $checked="checked";
                }
                else
                {
                    $checked="";
                }
                echo '<div class="form-check">';
                echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
                echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName . $value . '" value="' . $value . '" '.$checked.'>';
                echo '</div>';
            }
        ?>
        </div>
        <div class="form-check mt-3">
        <label for="exampleFormControlInput1" class="form-label">When to load popup?</label>
          <?php 
          $select_options = array(
            '0'     => 'Instant',
            '2'     => 'After 2 Sec',
            '5'     => 'After 5 Sec',
            '10'    => 'After 10 Sec',
        );
        
          ?>
          <div class="form-check">
      <select class="form-select" aria-label="Default select example" name="loadtime" id="loadtime">
          <?php foreach ($select_options as $value => $text) :
             if(isset($data_to_edit[0]['loadtime']) && $data_to_edit[0]['loadtime']==$value)
             {
                 $selected="selected";
             }
             else
             {
                 $selected="";
             }
            ?>
              <option value="<?php echo esc_attr($value); ?>" <?php echo $selected;?>><?php echo esc_html($text); ?></option>
          <?php endforeach; ?>
      </select>
          </div>
        </div>
             <div class="form-check mt-3 mb-3">
            <label for="exampleFormControlInput1" class="form-label">Popup button colour? </label>
            <div class="form-check">
            <?php 
            if(isset($data_to_edit[0]['popupbuttoncolor']) && $data_to_edit[0]['popupbuttoncolor']!='')
            {
              $value=$data_to_edit[0]['popupbuttoncolor'];
            }
            else
            {
              $value='#000';
            }
            ?>
            <input type="color" name="buttoncolor" class="form-control form-control-color" id="GFG_Color" value="<?php echo $value;?>">
            </div></div>
            <div class="form-check mt-3 mb-3">
            <?php 
            if(isset($data_to_edit[0]['popupheading']) && $data_to_edit[0]['popupheading']!='')
            {
              $value=$data_to_edit[0]['popupheading'];
            }
            else
            {
              $value='';
            }
            ?>
            <label for="exampleFormControlInput1" class="form-label">Popup heading:</label>
            <div class="form-check">
            <input type="text" class="form-control" name="heading" placeholder="Subscribe To Our Newsletter !!" maxlength="50" value="<?php echo $value;?>" id="heading">
            </div>
            </div> 
            <div class="form-check mt-3 mb-3">
            <?php 
            if(isset($data_to_edit[0]['popupsubheading']) && $data_to_edit[0]['popupsubheading']!='')
            {
              $value=$data_to_edit[0]['popupsubheading'];
            }
            else
            {
              $value='';
            }
            ?>
            

            <label for="exampleFormControlInput1" class="form-label">Popup Subheading:</label>
            <div class="form-check">
            <input type="text" class="form-control" name="subheading" maxlength="50" placeholder="Enter your details below"  value="<?php echo $value;?>" id="subheading">
            </div></div>
            <div class="form-check mt-3 mb-3">
            <?php 
            if(isset($data_to_edit[0]['popupmessage']) && $data_to_edit[0]['popupmessage']!='')
            {
              $value=$data_to_edit[0]['popupmessage'];
            }
            else
            {
              $value='';
            }
            ?>
            <label for="exampleFormControlTextarea1" class="form-label">Popup thank you message (you can paste link):</label>
            <div class="form-check">
            <textarea class="form-control" id="thankyoupage" maxlength="150" name="thankyoupage" placeholder="Thank you." rows="3"><?php echo $value;?></textarea>
            </div>
            </div>
          <div class="form-check mt-2">
        <label for="exampleFormControlInput1" class="form-label">Status</label>
   
        <?php 
            $status = array(
                '0' => 'Disabled',
                '1' => 'Enabled',
            );
            $groupName = 'status';
            foreach ($status as $value => $label) {
                if(isset($data_to_edit[0]['statuspopup']) && $data_to_edit[0]['statuspopup']==$value)
                {
                    $checked="checked";
                }
                else
                {
                    $checked="";
                }
                echo '<div class="form-check">';
                echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
                echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName. '" value="' . $value . '" '.$checked.'>';
                echo '</div>';
            }
            ?>
          </div>
         <div class="form-check mt-3 mb-3">
         <input type="hidden" name="fid" value="<?php  if(isset($data_to_edit[0]['fid']) && $data_to_edit[0]['fid']!='') { echo $data_to_edit[0]['fid'];}?>">
        <button type="submit" class="btn btn-success" id="savefield">Save</button>
        </div>
  
      </div>
      </div>
    </div>
   
    </form>
    </div>
</div>
 