<?php 
class DatabaseHelper {
    private $wpdb;

    public function __construct() {
        global $wpdb;
        $this->wpdb = $wpdb;
    }

    public function insertData($data) {
      
        $table_name = $this->wpdb->prefix.'fast2sms_popup_field_settings'; 

        $result = $this->wpdb->insert($table_name, $data);

        if ($result === false) {
            $response="false";
        }
        else
        {
          $response="true";
        }
        return $response;
        //return $this->wpdb->insert_id; // Return the inserted row ID
    }
    public function insertleaddata($data)
    {
        $table_name = $this->wpdb->prefix.'fast2sms_lead_form'; 

        $result = $this->wpdb->insert($table_name, $data);

        if ($result === false) {
            $response="false";
        }
        else
        {
          $response="true";
        }
        return $response;
    }
    public function getfieldsettinsinfo()
    {
        global $wpdb;
    
        $table_name = $wpdb->prefix.'fast2sms_popup_field_settings'; // Replace 'your_table_name' with your actual table name
    
        $sql = "SELECT * FROM $table_name";
        
        $results = $wpdb->get_results($sql, ARRAY_A); // ARRAY_A ensures that the results are returned as an associative array

        return $results;
    }
    public function getleadformdata()
    {
        global $wpdb;
    
        $table_name = $wpdb->prefix.'fast2sms_lead_form'; // Replace 'your_table_name' with your actual table name
    
        $sql = "SELECT * FROM $table_name";
        
        $results = $wpdb->get_results($sql, ARRAY_A); // ARRAY_A ensures that the results are returned as an associative array

        return $results;
    }

    public function editleadform($record_id)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sms_lead_form'; // Replace with your table name
    
        // Define the SQL query to fetch data by ID
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE lid = %d", $record_id);
    
        $result = $wpdb->get_row($sql, ARRAY_A); // Fetch a single row as an associative array
    
        return $result;

    }
    public function updateData($data,$fid)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sms_popup_field_settings'; 
        $where_condition = array(
            'fid' => $fid,
        );
        
        $updated = $wpdb->update($table_name, $data, $where_condition);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function updateleadform($data,$lid)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sms_lead_form'; 
        $where_condition = array(
            'lid' => $lid,
        );
        
        $updated = $wpdb->update($table_name, $data, $where_condition);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function deleteleadform($record_id)
    {
    global $wpdb;

    $table_name = $wpdb->prefix.'fast2sms_lead_form';
    $sql = $wpdb->prepare("DELETE FROM $table_name WHERE lid = %d", $record_id);

    $result=$wpdb->query($sql);
    if ($result === false) {
        $status="false";
    }
    else
    {
        $status="true";
    }
    return $status;
    }
    public function viewleadfield($lid)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sms_lead_form'; // Replace with your table name
    
        // Define the SQL query to fetch data by ID
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE lid = %d", $lid);
    
        $result = $wpdb->get_row($sql, ARRAY_A); // Fetch a single row as an associative array
    
        return $result;
    }
    public function insertapikeysettingsdata($data) {
        global $wpdb;
        $table_name = $this->wpdb->prefix.'fast2sms_popup_api_settings'; 

        $result = $this->wpdb->insert($table_name, $data);

        if ($result === false) {
            $response="false";
        }
        else
        {
          $response="true";
        }
        return $response;
        //return $this->wpdb->insert_id; // Return the inserted row ID
    }
    public function getapiinfo()
    {
        global $wpdb;

            $table_name = $wpdb->prefix.'fast2sms_popup_api_settings';

            $sql = "SELECT * FROM $table_name";
        
             $results = $wpdb->get_results($sql, ARRAY_A); // ARRAY_A ensures that the results are returned as an associative array

             return $results;

    }
    public function updateapidata($data,$aid)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sms_popup_api_settings'; 
        $where_condition = array(
            'aid' => $aid,
        );
        
        $updated = $wpdb->update($table_name, $data, $where_condition);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function checktokevalue()
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sms_token_auth_data'; // Replace with your table name
    
        // Define the SQL query to fetch data by ID
        $sql = "SELECT 1 FROM $table_name WHERE tokenvalue IS NOT NULL";
        $result = $wpdb->get_var($sql); 
        if ($result > 0) {
            $response = true; // There are rows with non-null tokenvalue
        } else {
            $response = false; // No rows with non-null tokenvalue
        }
        return $response;
    }
    public function updatetokenvalue($data)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sms_token_auth_data'; 
        $id_result = $wpdb->get_var("SELECT tid FROM $table_name LIMIT 1");
        $where_condition = array(
            'tid' =>$id_result,
        );
        
        $updated = $wpdb->update($table_name, $data, $where_condition);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function inserttokenvalue($data) {
      
        $table_name = $this->wpdb->prefix.'fast2sms_token_auth_data'; 

        $result = $this->wpdb->insert($table_name, $data);

        if ($result === false) {
            $response="false";
        }
        else
        {
          $response="true";
        }
        return $response;
       
    }
    public function insertotpinfo($data) {
       /* global $wpdb;
        $table_name = $this->wpdb->prefix.'fast2sm_otp_verification'; 

        $result = $this->wpdb->insert($table_name, $data);

        if ($result === false) {
            $response='false';
        }
        else
        {
          $response='true';
        }
        return $response;
        */
            global $wpdb;
            $table_name = $wpdb->prefix . 'fast2sm_otp_verification';

            $result = $wpdb->insert($table_name, $data);

            if ($result === false) {
                $response = 'false';
            } else {
                $response = 'true';
               $lastid=$wpdb->insert_id;
            }
            $finalrsponse = array(
                'response' => $response,
                'otid' => $lastid,
            );
            return $finalrsponse;
        //return $this->wpdb->insert_id; // Return the inserted row ID
    }
    public function checkemailresendlinksend($otid,$email)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';
      
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE otpid = %s AND email = %s", $otid, $email);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    }
    public function checkemailresendlinksendflag($otid)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';
        $emailflag="yes";
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE otpid = %s AND emailresendlink = %s", $otid, $emailflag);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    }
    public function emailresendotplinkcheck($otid)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';
        $emailflag="yes";
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE otpid = %s AND emailresendlink = %s", $otid, $emailflag);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    }
    public function mobileresendlinkcheck($otid)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';
        $mobileflag="yes";
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE otpid = %s AND mobileresendlink = %s", $otid, $mobileflag);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    }
    public function checkmobileresendlinksend($otid,$phone)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';
        $mobileflag="yes";
        
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE otpid = %s AND mobilenumber = %s", $otid, $phone);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    }
    public function checkmobileresendlinksendcheckonlyflag($otid)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';
        $mobileflag="yes";
        
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE otpid = %s AND mobileresendlink = %s", $otid, $mobileflag);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    }
    public function checkmobileotpverification($phone,$verificationcode,$mobilerequestid)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';

        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE mobilenumber = %s AND mobileotpcode = %s  AND mobilerequest_id = %s", $phone, $verificationcode,$mobilerequestid);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    }
    public function checkemailotpverification($email,$emailverificationcode,$emailrequestid)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';

        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE email = %s AND emailotpcode = %s  AND emailrequest_id = %s", $email, $emailverificationcode,$emailrequestid);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    }
    
    public function checkemailfieldinfo($fullname,$email,$phone)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';

        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE fullname = %s AND email = %s  AND mobilenumber = %s", $fullname, $email,$phone);

        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result="true";
        } else {
        $result="false";
        }
    
        return $result;
    } 
    public function updatemailfieldinfo($FourDigitRandomNumber,$fullname,$email,$phone)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 

        /*set all status to false code start here*/
        $data_to_update = array(
            'mobileotpcode' => $FourDigitRandomNumber,
        );  
        $where_condition_status = array(
            'fullname' => $fullname,
            'email' => $email,
            'mobilenumber' => $phone,
        );
       $updated=$wpdb->update($table_name, $data_to_update, $where_condition_status);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function checkrecordexist($email, $phone,$verifyemail,$verifymobnumber)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';
        if($verifyemail=='yes' && $verifymobnumber=='yes')
        {
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE mobilenumber = %s AND email = %s", $phone, $email);
        }
        if($verifyemail=='yes' && $verifymobnumber=='')
        {
            $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE email = %s" , $email);
        }
        if($verifyemail=='' && $verifymobnumber=='yes')
        {
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE mobilenumber = %s", $phone);
        }
        if($verifyemail=='yes' && $verifymobnumber=='no')
        {
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE mobilenumber = %s AND email = %s", $phone, $email);
        }
        if($verifyemail=='no' && $verifymobnumber=='yes')
        {
            $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE mobilenumber = %s AND email = %s", $phone, $email);
        }
        if($verifyemail=='no' && $verifymobnumber=='')
        {
            $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE email = %s" , $email);
        }
        if($verifyemail=='' && $verifymobnumber=='no')
        {
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE mobilenumber = %s", $phone);
        }
        if($verifyemail=='no' && $verifymobnumber=='no')
        {
            $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE mobilenumber = %s AND email = %s", $phone, $email);
        }
        $result = $wpdb->get_row($sql, ARRAY_A); 
        if ($result) {
        $result=true;
        } else {
        $result=false;
        }
    
        return $result;
    }
    public function checkipaddresscounter($user_ip)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';

        $sql = $wpdb->prepare("SELECT COUNT(*) FROM $table_name WHERE ipaddress = %s", $user_ip);

        $count = $wpdb->get_var($sql);
        
        if ($count > 0) {
            $result =$count;
        } else {
            $result = $count;
        }
        
        return $result;
    }
    public function checktokenvaluebeforeinsert($tokenvaluecheck)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';

        $sql = $wpdb->prepare("SELECT COUNT(*) FROM $table_name WHERE tokenvalue = %s", $tokenvaluecheck);
        $count = $wpdb->get_var($sql);
       
        if ($count > 0) {
            $response="true";
        } else {
            $response="false";
        }
    
        return $response;
    }
    public function updatemobileeresndtotplinkflag($otid)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 

        /*set all status to false code start here*/
        $data_to_update = array(
            'mobileresendlink' => 'yes',
        );  
        $where_condition_status = array(
            'otpid' => $otid,
        );
       $updated=$wpdb->update($table_name, $data_to_update, $where_condition_status);
     
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function updateemaileresndtotplinkflag($otid)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 

        /*set all status to false code start here*/
        $data_to_update = array(
            'emailresendlink' => 'yes',
        );  
        $where_condition_status = array(
            'otpid' => $otid,
        );
       $updated=$wpdb->update($table_name, $data_to_update, $where_condition_status);
     
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function updatemailresendotplinkflag($otid)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 

        /*set all status to false code start here*/
        $data_to_update = array(
            'emailresendlink' => 'yes',
        );  
        $where_condition_status = array(
            'otpid' => $otid,
        );
       $updated=$wpdb->update($table_name, $data_to_update, $where_condition_status);
     
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function updatemobileresendLinkflag($otid)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 

        /*set all status to false code start here*/
        $data_to_update = array(
            'mobileresendlink' => 'yes',
        );  
        $where_condition_status = array(
            'otpid' => $otid,
        );
       $updated=$wpdb->update($table_name, $data_to_update, $where_condition_status);
     
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
public function updateemailresendotplink($otid,$FourDigitRandomNumberemail)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 

        /*set all status to false code start here*/
        $data_to_update = array(
            'emailotpcode' => $FourDigitRandomNumberemail,
        );  
        $where_condition_status = array(
            'otpid' => $otid,
        );
       $updated=$wpdb->update($table_name, $data_to_update, $where_condition_status);
       //echo "SQL Query: " . $wpdb->last_query;
       //exit;
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function updatemobileresendotplink($otid,$FourDigitRandomNumber)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 

        /*set all status to false code start here*/
        $data_to_update = array(
            'mobileotpcode' => $FourDigitRandomNumber,
        );  
        $where_condition_status = array(
            'otpid' => $otid,
        );
        $updated=$wpdb->update($table_name, $data_to_update, $where_condition_status);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    
    public function getcollecteddata()
    {
        global $wpdb;
    
        $table_name = $wpdb->prefix.'fast2sm_otp_verification ORDER BY creationdate DESC'; // Replace 'your_table_name' with your actual table name
    
        $sql = "SELECT * FROM $table_name";
        
        $results = $wpdb->get_results($sql, ARRAY_A); // ARRAY_A ensures that the results are returned as an associative array

        return $results;
    }
    public function exportdata()
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sm_otp_verification ';

        $query = "SELECT * FROM $table_name";
        $results = $wpdb->get_results($query, ARRAY_A);
        return $results;
    }
    public function getexportselecteddata($selectedID)
    {
        global $wpdb;

   
    $table_name = $wpdb->prefix.'fast2sm_otp_verification';

    
    $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE otpid = %d", $selectedID);
    $results = $wpdb->get_row($sql, ARRAY_A);

    // Check if a row was found
    if ($results) {
        return $results;
    } else {
        return false; // No matching data found for the provided ID
    }
    }
    public function deleterecords($selectedID)
    {
        global $wpdb;

   
        $table_name = $wpdb->prefix.'fast2sm_otp_verification';

        $sql = $wpdb->prepare("DELETE FROM $table_name WHERE otpid = %d", $selectedID);

        // Execute the DELETE query
        $deleted = $wpdb->query($sql);
        if ($deleted !== false) {
            // Record(s) deleted successfully
            return array(
                'success' => true,
                'message' => "$deleted record(s) deleted successfully",
            );
        } else {
            // Error occurred while deleting
            return array(
                'success' => false,
                'message' => 'Error occurred while deleting records',
            );
        }
    }
    public function makeprimarywidget($data,$fid)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sms_popup_field_settings'; 

        /*set all status to false code start here*/
        $data_to_update = array(
            'primarywidget' => 'false',
        );  
        $where_condition_status = array(
            'primarywidget' => 'true',
        );
        $wpdb->update($table_name, $data_to_update, $where_condition_status);
        //$query = $wpdb->last_query;
        //echo $query;
        //exit;
        /* set all status to false code end here*/
        $where_condition = array(
            'fid' => $fid,
        );
        
        $updated = $wpdb->update($table_name, $data, $where_condition);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }

    public function getfrontendpopup()
    {
        global $wpdb;
        $status='1';
        $table_name = $wpdb->prefix.'fast2sms_popup_field_settings'; // Replace 'your_table_name' with your actual table name
        
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE statuspopup = %s", $status);

        
        $results = $wpdb->get_results($sql, ARRAY_A); // ARRAY_A ensures that the results are returned as an associative array

        return $results;
    }
    public function getfast2smsshortcode($lid)
    {
        global $wpdb;
        $table_name = $wpdb->prefix.'fast2sms_lead_form'; // Replace with your table name
    
        // Define the SQL query to fetch data by ID
        $sql = $wpdb->prepare("SELECT * FROM $table_name WHERE lid = %d", $lid);
    
        $result = $wpdb->get_row($sql, ARRAY_A); // Fetch a single row as an associative array
    
        return $result;
    }
    public function updateemailotpstatus($emailotp,$emailverificationcode,$emailrequestid,$dataemail)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 
        $where_condition = array(
            'email' =>$emailotp,
            'emailrequest_id' =>$emailrequestid,
            'emailotpcode'=>$emailverificationcode,
        );
        
        $updated = $wpdb->update($table_name, $dataemail, $where_condition);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function updatemobieotpstatus($phone,$verificationcode,$mobilerequestid,$datamobile)
    {
        global $wpdb;

        $table_name = $wpdb->prefix.'fast2sm_otp_verification'; 
        $where_condition = array(
            'mobilenumber' =>$phone,
            'mobilerequest_id' =>$mobilerequestid,
            'mobileotpcode'=>$verificationcode,
        );
        
        $updated = $wpdb->update($table_name, $datamobile, $where_condition);
        
        if ($updated !== false) {
          $status="true";
        } else {
            $status="false";
        }
        return $status;
    }
    public function deletetokenrecord()
    {
        global $wpdb;

   
        $table_name = $wpdb->prefix.'fast2sms_token_auth_data';

        $sql = "TRUNCATE TABLE $table_name";

        // Execute the DELETE query
        $deleted = $wpdb->query($sql);
        if ($deleted !== false) {
            $result=true;
        } else {
           $result=false;
        }
        return $result;
    }
}

?>