<?php
if (!defined('ABSPATH'))
    exit; //Exit if accessed directly
    $siteurl = get_option('siteurl');
 ?>
 <script type="text/javascript">
jQuery(document).ready(function($) {
    $('#example').DataTable({
    "lengthMenu": [100, 200, 300, 400, 500],
    "pageLength": 100 // This sets the default page length to 100
});

});
 </script>
 <script>  
 jQuery(document).ready(function($){  
      $('#export-data').click(function(){  
        var confirmed = confirm('Are you sure you want to export records?');
        if (confirmed) {
        var selectedData = [];
        $('.row-checkbox:checked').each(function() {
            selectedData.push($(this).val());
        });
        if(selectedData!='')
        {
            selectedData=selectedData;
        }
        else
        {
            selectedData="";
        }
        $.ajax({
            url: '<?php echo $siteurl;?>/wp-json/exportdata/v1/endpoint', // Adjust the URL to your API endpoint
            method: 'POST',
            data: {
                selected_data: selectedData
            },
            success: function(response) {
                // Handle the response, which should contain the exported data
                if (response.success) {

                    var now = new Date();
                    var timestamp = now.toLocaleString().replace(/,/g, '').replace(/ /g, '-').replace(/:/g, '');
                    var filename = 'exported-data-' + timestamp + '.csv';
                    // Trigger the download of the exported file
                    var blob = new Blob([response.data], { type: 'text/csv' });
                    var link = document.createElement('a');
                    link.href = window.URL.createObjectURL(blob);
                    link.download = filename;
                    link.click();
                } else {
                    // Handle errors
                    console.error('Error exporting data:', response.error);
                }
            },
            error: function(xhr, status, error) {
                console.error('AJAX request failed:', error);
            }
        });
    }
    });
 });  

 $(document).ready(function() {
    // Check/uncheck all checkboxes when the master checkbox is clicked
    $("#checkAll").on("change", function() {
        if ($(this).is(":checked")) {
            // Check all checkboxes in the table row
            $(".row-checkbox").prop("checked", true);
        } else {
            // Uncheck all checkboxes in the table row
            $(".row-checkbox").prop("checked", false);
        }
    });
});


jQuery(document).ready(function($) {
    // Attach a click event handler to the delete button
    $('.delete-record').click(function() {
        
        var confirmed = confirm('Are you sure you want to delete records?');
        if (confirmed) {

                var selectedData = [];
                $('.row-checkbox:checked').each(function() {
                    selectedData.push($(this).val());
                });
                if(selectedData=='')
                {
                   alert('Please select any record for delete');
                   return false;
                }
                else
                {
                    selectedData=selectedData;
                }
            // Send an AJAX request to the delete endpoint
            $.ajax({
                url: '<?php echo $siteurl;?>/wp-json/deleterecord/v1/endpoint', // Adjust the URL to your API endpoint
                method: 'POST',
                data: {
                selected_data: selectedData
                 },
                success: function(response) {
                    if (response.success) {
                        $("#message").html(response.message);
                    } else {
                        // Handle errors
                        alert('Error deleting record: ' + response.error);
                    }
                },
                error: function(xhr, status, error) {
                    // Handle AJAX errors
                    alert('AJAX request failed: ' + error);
                }
            });
        }
    });
});


 </script>
<?php 
function getCountryNameByDialCode($dialCode) {
   
$dialCodeToCountry = array( '+93' => 'Afghanistan', '+355' => 'Albania', '+213' => 'Algeria', '+376' => 'Andorra', '+244' => 'Angola', '+54' => 'Argentina', '+374' => 'Armenia', '+297' => 'Aruba', '+61' => 'Australia', '+43' => 'Austria', '+994' => 'Azerbaijan', '+973' => 'Bahrain', '+880' => 'Bangladesh', '+375' => 'Belarus', '+32' => 'Belgium', '+501' => 'Belize', '+229' => 'Benin', '+975' => 'Bhutan', '+591' => 'Bolivia', '+387' => 'Bosnia and Herzegovina', '+267' => 'Botswana', '+55' => 'Brazil', '+673' => 'Brunei', '+359' => 'Bulgaria', '+226' => 'Burkina Faso', '+257' => 'Burundi', '+855' => 'Cambodia', '+237' => 'Cameroon', '+238' => 'Cape Verde', '+236' => 'Central African Republic', '+235' => 'Chad', '+56' => 'Chile', '+86' => 'China', '+57' => 'Colombia', '+269' => 'Comoros', '+243' => 'Congo (Kinshasa)', '+242' => 'Congo (Brazzaville)', '+506' => 'Costa Rica', '+385' => 'Croatia', '+53' => 'Cuba', '+599' => 'Curacao', '+357' => 'Cyprus', '+420' => 'Czech Republic', '+45' => 'Denmark', '+253' => 'Djibouti','+593' => 'Ecuador', '+20' => 'Egypt', '+503' => 'El Salvador', '+240' => 'Equatorial Guinea', '+291' => 'Eritrea', '+372' => 'Estonia', '+251' => 'Ethiopia', '+679' => 'Fiji', '+358' => 'Finland', '+33' => 'France', '+241' => 'Gabon', '+220' => 'Gambia', '+995' => 'Georgia', '+49' => 'Germany', '+233' => 'Ghana', '+350' => 'Gibraltar', '+30' => 'Greece','+502' => 'Guatemala', '+224' => 'Guinea', '+245' => 'Guinea-Bissau', '+592' => 'Guyana', '+509' => 'Haiti', '+504' => 'Honduras', '+852' => 'Hong Kong', '+36' => 'Hungary', '+354' => 'Iceland', '+91' => 'India', '+62' => 'Indonesia', '+98' => 'Iran', '+964' => 'Iraq', '+353' => 'Ireland', '+972' => 'Israel', '+39' => 'Italy', '+81' => 'Japan', '+962' => 'Jordan', '+7' => 'Kazakhstan', '+254' => 'Kenya', '+686' => 'Kiribati', '+850' => 'North Korea', '+82' => 'South Korea', '+383' => 'Kosovo', '+965' => 'Kuwait', '+996' => 'Kyrgyzstan', '+856' => 'Laos', '+371' => 'Latvia', '+961' => 'Lebanon', '+266' => 'Lesotho', '+231' => 'Liberia', '+218' => 'Libya', '+423' => 'Liechtenstein', '+370' => 'Lithuania', '+352' => 'Luxembourg', '+853' => 'Macau', '+389' => 'North Macedonia', '+261' => 'Madagascar', '+265' => 'Malawi', '+60' => 'Malaysia', '+960' => 'Maldives', '+223' => 'Mali', '+356' => 'Malta', '+692' => 'Marshall Islands', '+222' => 'Mauritania', '+230' => 'Mauritius', '+52' => 'Mexico', '+691' => 'Micronesia', '+373' => 'Moldova', '+377' => 'Monaco', '+976' => 'Mongolia', '+382' => 'Montenegro', '+212' => 'Morocco', '+258' => 'Mozambique', '+95' => 'Myanmar (Burma)', '+264' => 'Namibia', '+674' => 'Nauru', '+977' => 'Nepal', '+31' => 'Netherlands', '+687' => 'New Caledonia', '+64' => 'New Zealand', '+505' => 'Nicaragua', '+227' => 'Niger', '+234' => 'Nigeria', '+850' => 'Niue', '+47' => 'Norway', '+968' => 'Oman', '+92' => 'Pakistan', '+680' => 'Palau', '+970' => 'Palestine', '+507' => 'Panama', '+675' => 'Papua New Guinea', '+595' => 'Paraguay', '+51' => 'Peru', '+63' => 'Philippines', '+48' => 'Poland', '+351' => 'Portugal', '+974' => 'Qatar', '+262' => 'Reunion', '+40' => 'Romania', '+7' => 'Russia', '+250' => 'Rwanda','+685' => 'Samoa', '+378' => 'San Marino', '+239' => 'Sao Tome and Principe', '+966' => 'Saudi Arabia', '+221' => 'Senegal', '+381' => 'Serbia', '+248' => 'Seychelles', '+232' => 'Sierra Leone', '+65' => 'Singapore', '+421' => 'Slovakia', '+386' => 'Slovenia', '+677' => 'Solomon Islands', '+252' => 'Somalia', '+27' => 'South Africa', '+211' => 'South Sudan', '+34' => 'Spain', '+94' => 'Sri Lanka', '+249' => 'Sudan', '+597' => 'Suriname', '+268' => 'Eswatini', '+46' => 'Sweden', '+41' => 'Switzerland', '+963' => 'Syria', '+886' => 'Taiwan', '+992' => 'Tajikistan', '+255' => 'Tanzania', '+66' => 'Thailand', '+670' => 'Timor-Leste', '+228' => 'Togo', '+676' => 'Tonga','+216' => 'Tunisia', '+90' => 'Turkey', '+993' => 'Turkmenistan', '+688' => 'Tuvalu', '+256' => 'Uganda', '+380' => 'Ukraine', '+971' => 'United Arab Emirates', '+44' => 'United Kingdom', '+1' => 'United States', '+598' => 'Uruguay', '+998' => 'Uzbekistan', '+678' => 'Vanuatu', '+39' => 'Vatican City', '+58' => 'Venezuela', '+84' => 'Vietnam', '+681' => 'Wallis and Futuna', '+967' => 'Yemen', '+260' => 'Zambia', '+263' => 'Zimbabwe', );    
if (isset($dialCodeToCountry[$dialCode])) {
    return $dialCodeToCountry[$dialCode];
} else {
    return 'Unknown'; // Return 'Unknown' for unrecognized dial codes
}


}



?>
 <div class="container">
    <div class="row">
    <div class="d-flex justify-content-start mt-2 mb-2">
      <div class="col-8">
        <h3 class="text-left">Collected Data</h3>
    </div>
    </div>
    </div>
    <div class="row">

      <div class="col-4">  <button type="button" class="btn btn-success" id="export-data">Export</button> <button type="button" class="btn btn-danger delete-record" data-record-id="123">Delete Record</button>
</div> 
    </div>
   
    <div class="row">
        <div id="message"></div>
    <div class="d-flex justify-content-start mt-2 mb-2">
        <div class="border p-2">
        <div class="col-12">
        <table id="example" class="table table-striped" style="width:100%">
        <thead>
            <tr>
                <th><input type="checkbox" id="checkAll"></th>
                <th>S.no</th>
                <th>Name</th>
                <th>Email</th>
                <th>Email Verified</th>
                <th>Mobile</th>
                <th>Mobile Verified</th>
                <th>Country</th>
                <th>Ip Address</th>
                <th>Source</th>
                <th>Date & time</th>
                
            </tr>
        </thead>
        <tbody>
        <?php 
         $count = 0;
        foreach ($data['records'] as $record) : 
            $dialCode = "+".$record['countrycode'];
           
            ?>
            
            <tr>
                <td><input type='checkbox' class="row-checkbox" name='delete[]' value='<?php echo $record['otpid']; ?>'></td>
                <td><?php echo ++$count;?></td>
                <td><?php echo $record['fullname']; ?></td>
                <td><?php echo $record['email']; ?></td>
                <td><?php if($record['emailotpstatus'] =='yes') { echo "Yes"; } else { echo "No"; } ?></td>
                <td><?php echo $record['mobilenumber']; ?></td>
                <td><?php if($record['mobileotpstatus'] =='yes') { echo "Yes"; } else { echo "No"; } ?></td>
                <td><?php echo $countryName = getCountryNameByDialCode($dialCode);?>
                <td><?php echo $record['ipaddress']; ?></td>
                <td><?php echo $record['source']; ?></td>
                <td><?php 
                $timestampupdatedate = strtotime($record['creationdate']);
           echo $creationdate = date("d-m-Y h:i A", $timestampupdatedate);?></td>
                 </tr>
            
            <?php endforeach; ?>
        </table>
        </div>
        </div>
    </div>
    </div>
 


 </div> 
