<?php
 $current_url = get_option('siteurl').'/';
if (!defined('ABSPATH'))
    exit; //Exit if accessed directly
 ?>
 
 <script type="text/javascript">

jQuery(document).ready(function($) {
 
  
  $('#updatefieldform').validate({
    rules: {
          leadform: {
                required: true
            },
            popupfieldsettings: {
                required: true
            },
            
           
            thankyoupage: {
                required: true,
                maxlength: 150
            },
            status: {
                required: true
            },
        },
        messages: {
             leadform: "<span>Please select a field option</span>",
            popupfieldsettings: "<span>Please select a field option</span>",
            verifymobileotp: "<span>Please select an option</span>",
            verifyemailotp: "<span>Please select an option</span>",
          
            thankyoupage: {
                required: "<span>Please enter a thank you page</span>",
                maxlength: "Maximum length is 150 characters"
            },
            status: "<span>Please select any option</span>",
        },
        submitHandler: function(form) {
          var formData = $('form[name="updatefieldform"]').serialize();
          $.post('<?php echo $current_url;?>wp-json/updateleadform/v1/endpoint', formData, function(response) {
      // Handle the response from the server (if needed)

          console.log(response); // You can replace this with your own logic
          if(response=='true')
          {
            $("#messages").html(response.messagetext);
          }
          else
          {
            $("#messages").html(response.messagetext);
          }
          $('html, body').animate({ scrollTop: 0 }, 'fast');
          
        });
       return false;   
        }
    });

  });



 </script>
 <script>
    jQuery(document).ready(function ($) {
  // Listen for changes on the "Email Only" radio button
  $("input[name='popupfieldsettings']").change(function () {
    if ($(this).is(":checked") && $(this).val() == 1) {
      //$("#verifyemail").show('slow');
      //$("#verifymobile").show('slow');
      $("input[name='verifymobileotp'][value='yes']").prop("checked", true);
      $("input[name='verifymobileotp'][value='no']").prop("disabled", false);
      $("input[name='verifymobileotp'][value='yes']").prop("disabled", false);
      $("input[name='verifyemailotp'][value='yes']").prop("checked", true);
      $("input[name='verifyemailotp'][value='no']").prop("disabled", false);
      $("input[name='verifyemailotp'][value='yes']").prop("disabled", false);
      }
    else if ($(this).is(":checked") && $(this).val() == 2) {
      //$("#verifyemail").show('slow');
      //$("#verifymobile").hide('slow');
      $("input[name='verifymobileotp'][value='yes']").prop("checked", false);
      $("input[name='verifymobileotp'][value='no']").prop("checked", false);
      $("input[name='verifymobileotp'][value='no']").prop("disabled", true);
      $("input[name='verifymobileotp'][value='yes']").prop("disabled", true);
      $("input[name='verifyemailotp'][value='yes']").prop("checked", true);
      $("input[name='verifyemailotp'][value='no']").prop("disabled", false);
      $("input[name='verifyemailotp'][value='yes']").prop("disabled",false);
    } else if ($(this).is(":checked") && $(this).val() == 3) {
      //$("#verifyemail").hide('slow');
      //$("#verifymobile").show('slow');
      $("input[name='verifyemailotp'][value='yes']").prop("checked", false);
      $("input[name='verifyemailotp'][value='no']").prop("checked", false);
      $("input[name='verifyemailotp'][value='no']").prop("disabled", true);
      $("input[name='verifyemailotp'][value='yes']").prop("disabled", true);
      $("input[name='verifymobileotp'][value='yes']").prop("checked", true);
      $("input[name='verifymobileotp'][value='no']").prop("disabled", false);
      $("input[name='verifymobileotp'][value='yes']").prop("disabled", false);
    } 
  });
});
  </script>
 <div class="container" id="lead-form">
    <div class="row">
    
    <div class="d-flex justify-content-start mt-3 mb-3">
        <h4 class="text-left">Lead Form Settings</h4>
    </div>
    <div class="mt-2 mb-2" id="messages"></div>
    <form method="post" action="" name="updatefieldform" id="updatefieldform">
    <div class="d-flex justify-content-start mt-5">
        <div class="col-8">
        <div class="border p-2">
       
        <div class="form-check">
         <label class="form-label" for="flexRadioDefault1"> Lead form name: </label>
         <div class="form-check"><input type="text" class="form-control" id="leadform" name="leadform" value="<?php echo $data_to_edit['leadformname'];?>">
        </div></div>
        <div class="form-check mt-3">
          <label for="exampleFormControlInput1" class="form-label">What data to collect?</label>
         
          <?php 
          $popupfieldsettingsoptions = array(
            '1' => 'Email & Number',
            '2' => 'Email Only',
            '3' => 'Number Only'
        );
       
        $groupName = 'popupfieldsettings';
        foreach ($popupfieldsettingsoptions as $value => $label) {
            if($data_to_edit['fieldsettings']==$value)
            {
                $checked="checked";
            }
            else
            {
                $checked="";
            }
            echo '<div class="form-check">';
            echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
            echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName . '" value="' . $value . '" '.$checked.'>';
            echo '</div>';
        }
          ?>
        </div>
          <div id="verifyemail">
        <div class="form-check mt-3">
        <label for="exampleFormControlInput1" class="form-label">Verify email with OTP?</label>
        
        <?php 
            $verifyemaileotpoptions = array(
                'yes' => 'Yes',
                'no' => 'No'
            );
            $groupName = 'verifyemailotp';
            
            foreach ($verifyemaileotpoptions as $value => $label) {
                if($data_to_edit['verifyemail']==$value)
                {
                    $checked="checked";
                }
                else
                {
                    $checked="";
                }
                if($data_to_edit['verifyemail']=='')
                {
                    $disabled="disabled";
                }
                else
                {
                    $disabled="";
                }
                echo '<div class="form-check">';
                echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
                echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName . $value . '" value="' . $value . '" '.$checked.' '.$disabled.'>';
                echo '</div>';
            }
        ?>
          </div></div>
          <div id="verifymobile">
        <div class="form-check mt-3">
        <label for="exampleFormControlInput1" class="form-label">Verify mobile number with OTP SMS (only for Indian numbers)?</label>
      
        <?php 
            $verifymobileotpoptions = array(
                'yes' => 'Yes',
                'no' => 'No'
            );
            $groupName = 'verifymobileotp';
            foreach ($verifymobileotpoptions as $value => $label) {
                if($data_to_edit['verifymobnumber']==$value)
                {
                    $checked="checked";
                }
                else
                {
                    $checked="";
                }
                if($data_to_edit['verifymobnumber']=='')
                {
                    $disabled="disabled";
                }
                else
                {
                    $disabled="";
                }
                echo '<br>';
                echo '<div class="form-check form-check-inline">';
                echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
                echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName . $value . '" value="' . $value . '" '.$checked.' '.$disabled.'>';
                echo '</div>';
            }
        ?>
          <div class="form-check mt-2 mb-2"><p>  Note: No OTP SMS will be sent on non-indian numbers. To send OTP on indian numbers you need to add <a href="https://fast2sms.fametechit.com/wp-admin/admin.php?page=fast2sms-appisetting">Fast2SMS API Key.</a></p></div>
      
          </div>
          </div>
        
        <div class="form-check mt-3">
            <label for="exampleFormControlInput1" class="form-label">Lead form button colour? </label>
            <div class="form-check">
            <input type="color" name="buttoncolor" class="form-control form-control-color" id="GFG_Color" value="<?php echo $data_to_edit['leadbuttoncolor'];?>">
            </div>
        </div> 
           
            <div class="form-check mt-3">
            <label for="exampleFormControlInput1" class="form-label">Heading</label>
            <div class="form-check"><input type="text" class="form-control" name="heading" maxlength="50" id="heading" value="<?php echo $data_to_edit['leadheading'];?>">
            </div></div>
            <div class="form-check mt-3">
            <label for="exampleFormControlInput1" class="form-label">Sub Heading</label>
            <div class="form-check"><input type="text" class="form-control" name="subheading" maxlength="50" id="subheading" value="<?php echo $data_to_edit['leadsubheading'];?>">
            </div></div>
            <div class="form-check mt-3">
            <label for="exampleFormControlTextarea1" class="form-label">Thank you page</label>
            <div class="form-check"><textarea class="form-control" id="thankyoupage" maxlength="150" name="thankyoupage" rows="3"><?php echo $data_to_edit['leadmessage'];?></textarea>
            </div></div>
            <div class="form-check mt-3">
        <label for="exampleFormControlInput1" class="form-label">Status</label>
            <?php 
            $status = array(
                '0' => 'Disabled',
                '1' => 'Enabled',
            );
            $groupName = 'status';
            foreach ($status as $value => $label) {
                if($data_to_edit['leadstatus']==$value)
                {
                    $checked="checked";
                }
                else
                {
                    $checked="";
                }
                echo '<div class="form-check">';
                echo '<label class="form-check-label" for="' . $groupName . $value . '">' . $label . '</label>';
                echo '<input class="form-check-input" type="radio" name="' . $groupName . '" id="' . $groupName . $value . '" value="' . $value . '" '.$checked.'>';
                echo '</div>';
            }
        ?>
            </div>
         <div class="form-check mt-3 mb-3">
            <input type="hidden" name="lid" value="<?php echo $data_to_edit['lid'];?>">
        <button type="submit" class="btn btn-success" id="updatefield">Update</button>
        </div>
  
      </div>
      </div>
    </div>
   
    </form>
    </div>
</div>
 
