<?php
 $current_url = get_option('siteurl').'/';
if (!defined('ABSPATH'))
    exit; //Exit if accessed directly
 ?>
     <?php 
            if(isset($data['records']) && count($data['records']) > 0)
        {
        ?>


<script type="text/javascript">

jQuery(document).ready(function($) {
   
  
  $('#updateapikeyrecord').validate({
        rules: {
            apikey: {
                required: true
            }           
           
        },
        messages: {
            apikey: "<span>Please insert Api key</span>",
        },
        submitHandler: function(form) {
          var formData = $('form[name="updateapikeyrecord"]').serialize();
          $.post('<?php echo $current_url;?>wp-json/updateapikeysettings/v1/endpoint', formData, function(response) {
      // Handle the response from the server (if needed)

          console.log(response); // You can replace this with your own logic
          if(response.message=='true')
          {
            $("#messages").html('');
            $("#messages").html('<div class="alert alert-success" role="alert">Successfully Updated API Settings</div>');
            $("#walletbalance").html('<p class="h6">Your Fast2SMS wallet balance: Rs '+response.walletbalance+'</p> <br/><p>Note: To add balance login in your Fast2SMS account. SMS API error comes when no paid transaction in Fast2SMS (at least once) or account is disabled or wallet balance reach zero.</p>');

            //$('form[name="insertfield"]')[0].reset();
           
          }
          else
          {
            $("#messages").html('<div class="alert alert-danger" role="alert">Look like API key is invalid</div>');
            $("#walletbalance").html("");
          }
          $('html, body').animate({ scrollTop: 0 }, 'fast');
          
        });
       return false;   
        }
    });

  });
</script>
<?php 
}
else
{
?>
 <script type="text/javascript">

jQuery(document).ready(function($) {
 
    $("#messages").html('');
  $('#insertapikey').validate({
        rules: {
            apikey: {
                required: true
            }           
           
        },
        messages: {
            apikey: "<span>Please insert Api key</span>",
        },
        submitHandler: function(form) {
          var formData = $('form[name="insertapikey"]').serialize();
          $.post('<?php echo $current_url;?>wp-json/insertapikeysettings/v1/endpoint', formData, function(response) {
      // Handle the response from the server (if needed)

          console.log(response); // You can replace this with your own logic
          
          if(response.message=='true')
          {
            $("#messages").html('<div class="alert alert-success" role="alert">Successfully Saved API Settings</div>');
            $("#walletbalance").html('<p class="h6">Your Fast2SMS wallet balance: Rs '+response.walletbalance+'</p> <br/><p>Note: To add balance login in your Fast2SMS account. SMS API error comes when no paid transaction in Fast2SMS (at least once) or account is disabled or wallet balance reach zero.</p>');
            //$('form[name="insertfield"]')[0].reset();
          }
          else
          {
            $("#messages").html('<div class="alert alert-danger" role="alert">Look like API key is invalid</div>');
            $("#walletbalance").html("");
          }
          $('html, body').animate({ scrollTop: 0 }, 'fast');
          
        });
       return false;   
        }
    });

  });
</script> 
<?php 
}
?>

  <div class="container">
   
    <div class="row">
    <div class="d-flex justify-content-start">
    <div class="mt-3 mb-3">
        <h4 class="text-left">Fast2SMS API Settings For OTP SMS</h4>
    </div>
    </div>
    <div class="row"><div id="messages"></div></div>
    
    <div class="d-flex justify-content-start">
    <div class="border">
    <div class="row px-3">
   
    <div class="col-10">
    <div class="mt-3 mb-3"><h5>Note: SMS service is only for Indian users:</h4></div>
    <div class="mt-3 mb-3"><p class="h6">To verify Indian mobile numbers with OTP, you need to add Fast2SMS API Key. Money will be deducted from your Fast2sms wallet for each SMS used via plugin.
</p>
    <div class="mt-3 mb-1">
        <h6 class="text-left">How to get Fast2SMS API Key?</h6>
    </div>
    <div class="mt-3 mb-1">
    <ol class="list-group list-group-numbered">
        <li class="list-group-item">Signup at <a href="https://www.fast2sms.com/">Fast2SMS.com</a></li>
        <li class="list-group-item">Add money in Fast2SMS wallet (one paid transaction is must) & Complete KYC from "OTP SMS" section</li>
        <li class="list-group-item">Visit "Dev API" sidemenu & copy paste "API key" below</li>
    </ul>
    </div>
    <div class="mt-3 mb-3"><p class="h6">Check <a href="https://www.fast2sms.com/help/plugin">this link for help.</a></p>
    <div class="col-lg-8  p-3 mb-5 bg-body rounded mt-5">
        <?php 
        
        if(isset($data['records']) && count($data['records']) > 0)
        {
        ?>
        <form action="" method="post" name="updateapikeyrecord" id="updateapikeyrecord">
        <?php 
        }
        else
        {
         ?>
        <form action="" method="post" name="insertapikey" id="insertapikey">
        <?php 
        }
        ?>
     <div class="form-check mb-3">
        <label for="name" class="form-label">Api Key <span></span></label>
        <input type="text" class="form-control" id="apikey" name="apikey" aria-describedby="apikey" value="<?php if(isset($data['records'][0]['apikey'])!='') { echo $data['records'][0]['apikey']; }?>">
    </div>
    <div class="form-check mb-3">
        <label for="email" class="form-label">Email (optional)</label>
        <input type="text" class="form-control" id="email" name="email" value="<?php if(isset($data['records'][0]['email'])!='') { echo $data['records'][0]['email']; }?>">
    </div>
     <input type="hidden" name="aid" value="<?php if(isset($data['records'][0]['aid'])!='') { echo $data['records'][0]['aid']; }?>">
     <button type="submit" id="updateconfig" name="updateconfig" class="btn btn-success">Update</button>
    </form>
    <div class="col-12 mt-3 mb-3">
      <div id="walletbalance">
        <?php 
        if (isset($data['records'][0]['apikey']) != '') {
          $apikey = $data['records'][0]['apikey'];
          $post_data = array(
              'f2s_ref' => 'wp_lead_plugin',
          );
      
          $url = 'https://www.fast2sms.com/dev/wallet';
      
          $request_args = array(
              'body' => $post_data,
              'headers' => array(
                  'authorization' => $apikey,
              ),
              'sslverify' => false, 
          );
      
          $response = wp_remote_post($url, $request_args);
      
          if (is_wp_error($response)) {
              $result = "false";
          } else {
              $data = json_decode(wp_remote_retrieve_body($response), true);
              if ($data !== null && isset($data['wallet'])) {
                  $walletPrice = $data['wallet'];
                  echo '<p class="h6">Your Fast2SMS wallet balance: Rs ' . $walletPrice . '</p><br/>';
                  echo '<p>Note: To add balance login in your Fast2SMS account. SMS API error comes when no paid transaction in Fast2SMS (at least once) or account is disabled or wallet balance reaches zero.</p>';
              }
          }
      }
      
      ?>

      </div>
    </div>
    </div>

    </div> 

        </div>  

    </div>
  </div>
  </div></div>